# Class WorkbenchRendererFactory

java.lang.Object
org.eclipse.e4.ui.workbench.renderers.swt.WorkbenchRendererFactory

All Implemented Interfaces:
  `IRendererFactory`

public class WorkbenchRendererFactory extends Object implements IRendererFactory

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`SHARED_ELEMENTS_STORE`

## Constructor Summary

Constructors
Constructor
Description
`WorkbenchRendererFactory()`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.e4.ui.internal.workbench.swt.AbstractPartRenderer`
`getRenderer(MUIElement uiElement, Object parent)`
`void`
`init(IEclipseContext context)`
`protected void`
`initRenderer(org.eclipse.e4.ui.internal.workbench.swt.AbstractPartRenderer renderer)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SHARED_ELEMENTS_STORE

public static final String SHARED_ELEMENTS_STORE

See Also:
  - Constant Field Values

## Constructor Details

### WorkbenchRendererFactory

public WorkbenchRendererFactory()

## Method Details

### getRenderer

public org.eclipse.e4.ui.internal.workbench.swt.AbstractPartRenderer getRenderer(MUIElement uiElement, Object parent)

Specified by:
  `getRenderer` in interface `IRendererFactory`

### initRenderer

protected void initRenderer(org.eclipse.e4.ui.internal.workbench.swt.AbstractPartRenderer renderer)

### init

@PostConstruct public void init(IEclipseContext context)